Bug 849041 - Should not be able to add mysql and postgresql to the same scalable app
Should not be able to add mysql and postgresql to the same scalable app
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Mrunal Patel
libra bugs
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-17 03:09 EDT by Meng Bo
Modified: 2015-05-14 18:58 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-06 13:48:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Meng Bo 2012-08-17 03:09:48 EDT
Description of problem:
Create a scalable app, and mysql and postgresql to it, ssh login to the app, and try the mysql shell and psql shell. One of them cannot be accessed.

Version-Release number of selected component (if applicable):
devenv_2007
INT

How reproducible:
always

Steps to Reproduce:
1.Create a scalable app
2.Embedded both mysql and postgresql to it
3.SSH to the app
4.Use mysql shell and psql shell
  
Actual results:
One of the two DB cannot be accessed.

Expected results:
mysql and postgresql cannot be embedded to the same app.

Additional info:
[no1s-jhou1int.int.rhcloud.com ~]\> psql
psql: received invalid response to SSL negotiation: 4
[no1s-jhou1int.int.rhcloud.com ~]\> mysql
Welcome to the MySQL monitor.  Commands end with ; or \g.
Your MySQL connection id is 6
Server version: 5.1.61 Source distribution

Copyright (c) 2000, 2011, Oracle and/or its affiliates. All rights reserved.

Oracle is a registered trademark of Oracle Corporation and/or its
affiliates. Other names may be trademarks of their respective
owners.

Type 'help;' or '\h' for help. Type '\c' to clear the current input statement.

mysql> 


[py1s-jhou1int.int.rhcloud.com ~]\> psql
psql (8.4.12)
Type "help" for help.

py1s=# ^C
py1s=# \q
[py1s-jhou1int.int.rhcloud.com ~]\> mysql
^C                                    <---mysql shell will hang
Comment 1 Mrunal Patel 2012-08-17 11:24:25 EDT
Should not be able to add both right now.
Comment 2 Mrunal Patel 2012-08-17 13:23:48 EDT
The check that a db has already been added to a scalable app will have to
be done in the broker.
Comment 3 Rob Millner 2012-08-17 13:28:08 EDT
The test as it runs today checks for variables in the gear which should have been properly set.  There's likely a failure in one or the other cartridge's configure hook.
Comment 4 Mrunal Patel 2012-08-17 13:32:54 EDT
The check won't help when configure runs on a fresh new gear when db is
added to a scalable app.
Comment 5 Mrunal Patel 2012-08-20 18:29:54 EDT
We should be able to support this in the future with US 2110. Preventing this from happening right now would be a hard coded hack in the broker. Marking this
as FutureFeature.
Comment 6 Mike McGrath 2012-10-10 14:20:08 EDT
Bug Triage Meeting, we think this might not be a valid bug anymore (in that users should be able to use mysql and postgres on the same app)
Comment 7 Peter Ruan 2012-10-10 15:51:00 EDT
verified with devenv_2307

[myapp-ppp19b.dev.rhcloud.com ~]\> psql
psql (8.4.13)
Type "help" for help.

myapp=# exit
myapp-# quit
myapp-# ^C
myapp=# \q
[myapp-ppp19b.dev.rhcloud.com ~]\> mysql
Welcome to the MySQL monitor.  Commands end with ; or \g.
Your MySQL connection id is 5
Server version: 5.1.61 Source distribution

Copyright (c) 2000, 2011, Oracle and/or its affiliates. All rights reserved.

Oracle is a registered trademark of Oracle Corporation and/or its
affiliates. Other names may be trademarks of their respective
owners.

Type 'help;' or '\h' for help. Type '\c' to clear the current input statement.

mysql> 
mysql> show databases;
+--------------------+
| Database           |
+--------------------+
| information_schema |
| myapp              |
| mysql              |
+--------------------+
3 rows in set (0.00 sec)

mysql>

Note You need to log in before you can comment on or make changes to this bug.